Форум русскоязычного сообщества Ubuntu


Хотите сделать посильный вклад в развитие Ubuntu и русскоязычного сообщества?
Помогите нам с документацией!

Автор Тема: Помощь с запуском Европа Универсалес 4  (Прочитано 1387 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Alex_P_KO

  • Автор темы
  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Запуск по команде /home/alexpko/Eu4/./start.sh
Собственно ошибка:./eu4: error while loading shared libraries: libuuid.so.1: wrong ELF class: ELFCLASS64
ldd eu4:
        linux-gate.so.1 =>  (0xf775c000)
   libsteam_api.so => /home/alexpko/Eu4/./libsteam_api.so (0xf76ab000)
   libdl.so.2 => /lib/i386-linux-gnu/libdl.so.2 (0xf7688000)
   libtbb.so.2 => /home/alexpko/Eu4/./libtbb.so.2 (0xf764b000)
   libpthread.so.0 => /lib/i386-linux-gnu/libpthread.so.0 (0xf762e000)
   libGLU.so.1 => /usr/lib/i386-linux-gnu/libGLU.so.1 (0xf75b4000)
   libGL.so.1 => /usr/lib32/nvidia-367/libGL.so.1 (0xf7547000)
   libpdx_online.so => /home/alexpko/Eu4/./libpdx_online.so (0xf7539000)
   libstdc++.so.6 => /usr/lib/i386-linux-gnu/libstdc++.so.6 (0xf73c2000)
   libm.so.6 => /lib/i386-linux-gnu/libm.so.6 (0xf736d000)
   libgcc_s.so.1 => /lib/i386-linux-gnu/libgcc_s.so.1 (0xf7350000)
   libc.so.6 => /lib/i386-linux-gnu/libc.so.6 (0xf719a000)
   /lib/ld-linux.so.2 (0x56628000)
   librt.so.1 => /lib/i386-linux-gnu/librt.so.1 (0xf7190000)
   libGLX.so.0 => /usr/lib32/nvidia-367/libGLX.so.0 (0xf7170000)
   libGLdispatch.so.0 => /usr/lib32/nvidia-367/libGLdispatch.so.0 (0xf70da000)
   libpops_api.so => /home/alexpko/Eu4/./libpops_api.so (0xf6e55000)
   libX11.so.6 => /usr/lib/i386-linux-gnu/libX11.so.6 (0xf6d0a000)
   libXext.so.6 => /usr/lib/i386-linux-gnu/libXext.so.6 (0xf6cf4000)
   libuuid.so.1 => not found
   libxcb.so.1 => /usr/lib/i386-linux-gnu/libxcb.so.1 (0xf6cce000)
   libXau.so.6 => /usr/lib/i386-linux-gnu/libXau.so.6 (0xf6cca000)
   libXdmcp.so.6 => /usr/lib/i386-linux-gnu/libXdmcp.so.6 (0xf6cc3000)
В Ubuntu я нуб, но я так понимаю что архитектура не походит. Качал библиотеки под 32 i386
менял путь (LD_LIBRARY_PATH) но по итогу запутался напрочь

Оффлайн ARTGALGANO

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1936
    • Просмотр профиля
Re: Помощь с запуском Европа Универсалес 4
« Ответ #1 : 10 Январь 2017, 16:27:04 »
а libuuid установлен?




Оффлайн Alex_P_KO

  • Автор темы
  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Re: Помощь с запуском Европа Универсалес 4
« Ответ #2 : 10 Январь 2017, 16:49:10 »
sudo apt-get install libuuid
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
E: Не удалось найти пакет libuuid
Скачал архив libuuid-1.0.3.tar.gz, распаковал пробую установить через mc, никак. Так же побывал командой ./install-sh
« Последнее редактирование: 10 Январь 2017, 17:00:34 от Alex_P_KO »

Оффлайн ARTGALGANO

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1936
    • Просмотр профиля
Re: Помощь с запуском Европа Универсалес 4
« Ответ #3 : 10 Январь 2017, 17:04:47 »
dpkg -l libuuid*
sudo apt install libuuid1

Оффлайн Alex_P_KO

  • Автор темы
  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Re: Помощь с запуском Европа Универсалес 4
« Ответ #4 : 10 Январь 2017, 17:09:45 »
Спасибо Большое! Помогло следующее  sudo apt install libfuse-dev:i386 и sudo apt-get update

 

Страница сгенерирована за 0.202 секунд. Запросов: 22.